<script>
    "use strict"

    function createCountDown(elementId, sec) {
        var tms = sec;
        var x = setInterval(function() {
            var distance = tms * 1000;
            var days = Math.floor(distance / (1000 * 60 * 60 * 24));
            var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
            var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
            var seconds = Math.floor((distance % (1000 * 60)) / 1000);
            document.getElementById(elementId).innerHTML = days + "d: " + hours + "h " + minutes + "m " + seconds + "s ";
            if (distance < 0) {
                clearInterval(x);
                document.getElementById(elementId).innerHTML = "COMPLETE";
            }
            tms--;
        }, 1000);
    }
</script>

<div class="col-md-12">
    <div class="table-responsive--md">
        <table class="table">
            <thead>
                <tr>
                    <th><?php echo app('translator')->get('Plan'); ?></th>
                    <th><?php echo app('translator')->get('Return'); ?></th>
                    <th><?php echo app('translator')->get('Received'); ?></th>
                    <th><?php echo app('translator')->get('Next payment'); ?></th>
                    <th><?php echo app('translator')->get('Action'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php $__empty_1 = true; $__currentLoopData = $invests; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $invest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <tr>
                        <td><?php echo e(__($invest->plan->name)); ?> <br> <?php echo e(showAmount($invest->amount)); ?> <?php echo e(__($general->cur_text)); ?> </td>
                        <td>
                            <?php echo e(showAmount($invest->interest)); ?> <?php echo e(__($general->cur_text)); ?> <?php echo app('translator')->get('every'); ?> <?php echo e($invest->time_name); ?>

                            <br>
                            <?php echo app('translator')->get('for'); ?>
                            <?php if($invest->period == '-1'): ?>
                                <?php echo app('translator')->get('Lifetime'); ?>
                            <?php else: ?>
                                <?php echo e($invest->period); ?>

                                <?php echo e($invest->time_name); ?>

                            <?php endif; ?>
                            <?php if($invest->capital_status == '1'): ?>
                                + <?php echo app('translator')->get('Capital'); ?>
                            <?php endif; ?>
                        </td>
                        <td> <?php echo e($invest->return_rec_time); ?>x<?php echo e(showAmount($invest->interest)); ?> = <?php echo e($invest->return_rec_time * $invest->interest); ?> <?php echo e(__($general->cur_text)); ?> </td>

                        <td scope="row" class="font-weight-bold">
                            <?php if($invest->status == '1'): ?>
                                <p id="counter<?php echo e($invest->id); ?>" class="demo countdown timess2 "></p>

                                <?php
                                    if ($invest->last_time) {
                                        $start = $invest->last_time;
                                    } else {
                                        $start = $invest->created_at;
                                    }
                                ?>
                                <div class="progress">
                                    <div class="progress-bar progress-bar-striped bg-success" role="progressbar" style="width: <?php echo e(diffDatePercent($start, $invest->next_time)); ?>%" aria-valuenow="10" aria-valuemin="0" aria-valuemax="100">
                                    </div>
                                </div>
                            <?php else: ?>
                                <span class="badge badge-success"><?php echo app('translator')->get('Completed'); ?></span>
                            <?php endif; ?>
                        </td>

                        <td>
                            <a href="<?php echo e(route('user.invest.details', encrypt($invest->id))); ?>" class="icon-btn base--bg text-white">
                                <i class="fa fa-desktop"></i>
                            </a>
                        </td>

                    </tr>
                    <?php if(\Carbon\Carbon::parse($invest->next_time) > now()): ?>
                        <script>
                            createCountDown('counter<?php echo $invest->id; ?>', <?php echo e(\Carbon\Carbon::parse($invest->next_time)->diffInSeconds()); ?>);
                        </script>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <tr>
                        <td colspan="100%" class="text-center"><?php echo e(__($emptyMessage)); ?></td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </div>
</div><?php /**PATH /home/dmeonlin/public_html/core/resources/views/templates/bit_gold/partials/invest_history.blade.php ENDPATH**/ ?>